<?php

/**
@Shows the gateway form and starts a transaction!
*/
function ocart_print_realex_form($post_id, $location = '') {
	
	global $ocart;
	
	// setup merchant
	$merchantid = $ocart['realex_merchantid'];
	$secret = $ocart['realex_secret_key'];
	
	//The code below is used to create the timestamp format required by Realex Payments
	$timestamp = strftime("%Y%m%d%H%M%S");
	mt_srand((double)microtime()*1000000);
	
	// Order ID, currency and amount
	$orderid = $post_id;
	$curr = ocart_get_currency_code();
	$amount = ocart_payable($post_id);
	
	/*-----------------------------------------------
	Below is the code for creating the digital signature using the MD5 algorithm provided
	by PHP. you can use the SHA1 algorithm alternatively. 
	*/
	$tmp = "$timestamp.$merchantid.$orderid.$amount.$curr";
	$md5hash = md5($tmp);
	$tmp = "$md5hash.$secret";
	$md5hash = md5($tmp);
	
	// display form
	$form = '';

	$form .= '<form action=https://epage.payandshop.com/epage.cgi method=post class="paymentform">

				<input type=hidden name="MERCHANT_ID" value="'.$merchantid.'">
				<input type=hidden name="ORDER_ID" value="'.$orderid.'">
				<input type=hidden name="CURRENCY" value="'.$curr.'">
				<input type=hidden name="AMOUNT" value="'.$amount.'">
				<input type=hidden name="TIMESTAMP" value="'.$timestamp.'">
				<input type=hidden name="MD5HASH" value="'.$md5hash.'">
				<input type=hidden name="AUTO_SETTLE_FLAG" value="1">
				<input type=submit value="'.__('Proceed to secure server','ocart').'">

				</form>';
				
	return $form;

}