<?php
/*
Plugin Name: OneCart Realex UK
Plugin URI: http://themeforest.net/item/onecart-ajax-responsive-ecommerce-wordpress-theme/3167538?ref=ThemeFluent
Description: Enables Realex UK payments on your store.
Version: 1.0
Author: ThemeFluent
Author URI: http://themeforest.net/user/ThemeFluent?ref=ThemeFluent
*/

/**
@ globals
**/
define('PLUGIN_OCART_REALEX_URL',plugin_dir_url(__FILE__ ));
define('PLUGIN_OCART_REALEX_PATH',plugin_dir_path(__FILE__ ));
define('PLUGIN_OCART_REALEX_DB_VERSION','1');

/**
@ installation
**/
require_once(PLUGIN_OCART_REALEX_PATH . 'includes/install.php');

register_activation_hook(__FILE__,'ocart_realex_install'); 
register_deactivation_hook( __FILE__, 'ocart_realex_deactivate' );
register_uninstall_hook( __FILE__,'ocart_realex_uninstall');

/**
@ includes
**/
require_once(PLUGIN_OCART_REALEX_PATH . 'includes/functions.php');
require_once(PLUGIN_OCART_REALEX_PATH . 'includes/actions.php');

/**
update missing fields
**/

	$installed = get_option('occommerce_OC_gateways');
	
	$updated_array = array(  'name' => __('Realex','ocart'), 
									'paymentname' => __('Pay via Realex','ocart'),
									'options' => array( 'enabled', 'merchantid', 'secret_key', 'testmode', 'charge' ), 
									'checkout' => array('title' => __('Payment','ocart'), 'redirect_form' => 1 ) );
									
	if (isset($installed['realex']) && $installed['realex'] != $updated_array) {
	
		$installed['realex'] = $updated_array;
		update_option('occommerce_OC_gateways', $installed);
		
	}